/*
 * Created on 10-sep-2007
 */
package be.AM4DP;

import be.ASPL.presentationlayer.ASPLApplicationException;

/**
 * @author Erwin Smout
 */
class NoConnectionException extends ASPLApplicationException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7008184039045371802L;

	/**
	 * Creates the exception object
	 * 
	 * @param e
	 *            The (IO) Exception object that caused this exception
	 */
	NoConnectionException (Exception e) {
		super(I18N.getInstance(), "NoConnectionException.Text", new String[] { e.getMessage(), e.getClass().getName() }); //$NON-NLS-1$
	}
}