/**
 * 
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin
 * 
 */
final class ArchitectureValueGetterForFormEncodingType extends ArchitectureValueGetter {

	/**
	 * 
	 */
	private static final ArchitectureValueGetterForFormEncodingType instance = new ArchitectureValueGetterForFormEncodingType();

	/**
	 * @return
	 */
	static ArchitectureValueGetterForFormEncodingType getInstance ( ) {
		return instance;
	}

	/**
	 * Creates the ArchitectureValueGetterForFormEncodingType
	 * 
	 */
	private ArchitectureValueGetterForFormEncodingType ( ) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.ArchitectureValueGetter#getValue(be.ASPL.presentationlayer.OnLinePresentationFunction)
	 */
	@Override
	String getValue (OnLinePresentationFunction userFunction) {
		return userFunction.getFormEncodingType();
	}

}
