package be.ASPL.presentationlayer;

import be.SIRAPRISE.util.Localizer;

/**
 * @author Erwin
 */
@InitialPresentation(initialPresentationClass = IdentifyUserPresentation.class)
@HelpPresentation(helpPresentationClass = IdentifyUserHelpPresentation.class)
class IdentifyUser extends OnLinePresentationFunction {

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.erwinsmout.waar.PresentationFunction#doPresentationLogic()
	 */
	public void doPresentationLogic ( ) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.erwinsmout.waar.PresentationFunction#getPresentationFunctionTitle()
	 */
	public String getPresentationFunctionDescription ( ) {
		return I18N.getString(Architecture.getDefaultLocale(), "IdentifyUser.Text"); //$NON-NLS-1$
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.OnLinePresentationFunction#getApplicationLocalizer()
	 */
	@Override
	protected Localizer getApplicationLocalizer ( ) {
		return I18N.getInstance();
	}
}
