package be.ASPL.presentationlayer;

import java.util.*;

/**
 *
 */
public class IdentifyUserPresentation extends Presentation {
	/**
	 * @return
	 * @throws ASPLException
	 */
	private static final java.util.List<PresentationField> getPresentationFieldDefs ( ) throws ASPLException {
		return Arrays.asList(new PresentationField[] { //
				new PresentationField("USERID", be.ASPL.presentationlayer.UserID.class, Locale.ENGLISH, "", false, 10, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("PASSWORD", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", false, 20, PresentationFieldIOMode.IN, "PASSWORD", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("NEWPASSWORD", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", false, 30, PresentationFieldIOMode.IN, "PASSWORD", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("CONFIRMNEWPASSWORD", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", false, 40, PresentationFieldIOMode.IN, "PASSWORD", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("DATEFORMAT", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "yyyy'-'MM'-'dd", false, 50, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("TIMEFORMAT", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "HH':'mm':'ss", false, 60, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("LANGUAGE", be.ASPL.presentationlayer.UserLanguage.class, Locale.ENGLISH, "EN", true, 70, PresentationFieldIOMode.IN, "COMBOBOX", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
				});
	}

	/**
	 *
	 */
	private static final java.util.List<String> ACTIONS = Arrays.asList(new String[] {});

	/**
	 * @throws ASPLException
	 *             -
	 */
	public IdentifyUserPresentation ( ) throws ASPLException {
		super(IdentifyUserPresentation.class.getSimpleName(), getPresentationFieldDefs(), ACTIONS);
	}
}
