/*
 * Created on 30-jan-2008
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin Smout
 */
class PresentationNotSetException extends ASPLException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7187148597432219267L;

	/**
	 * @param presentationName
	 * @param applicationName
	 * @param messageText
	 */
	PresentationNotSetException (String presentationName, String applicationName, String messageText) {
		super(I18N.getInstance(), "PresentationNotSetException.Text", new String[] { presentationName, applicationName, messageText }); //$NON-NLS-1$
	}

}
