package be.ASPL.webclient;

import be.ASPL.presentationlayer.*;

import java.util.*;

/**
 *
 */
public class UsersCreatePresentation extends Presentation {
	/**
	 * @return
	 * @throws ASPLException
	 */
	private static final java.util.List<PresentationField> getPresentationFieldDefs ( ) throws ASPLException {
		return Arrays.asList(new PresentationField[] { //
				new PresentationField("USERID", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", true, 10, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("PASSWORD", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", true, 20, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("LANGUAGE", be.ASPL.presentationlayer.UserLanguage.class, Locale.ENGLISH, "", true, 30, PresentationFieldIOMode.IN, "COMBOBOX", "20", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("ROLES", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", true, 40, PresentationFieldIOMode.IN, "", "", "inputlongtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
				});
	}

	/**
	 *
	 */
	private static final java.util.List<String> ACTIONS = Arrays.asList(new String[] {});

	/**
	 * @throws ASPLException
	 *             -
	 */
	public UsersCreatePresentation ( ) throws ASPLException {
		super(UsersCreatePresentation.class.getSimpleName(), getPresentationFieldDefs(), ACTIONS);
	}
}
