/**
 * 
 */
package be.AM4DP;

import be.SIRAPRISE.client.jsba.*;
import be.SIRAPRISE.typeimplementations.*;

/**
 * @author Erwin
 */
@Relvars(relvarNames = { RELVARNAMES.JOBS })
public final class Job extends AbstractUpdatableDBObject {

	/**
	 * 
	 */
	private String jobTitle;

	/**
	 * 
	 */
	private Job preUpdateState;

	/**
	 * Creates the Job
	 */
	public Job ( ) {
		this(""); //$NON-NLS-1$
	}

	/**
	 * Creates the Job
	 * 
	 * @param jobTitle
	 *            the job title
	 */
	public Job (String jobTitle) {
		this.jobTitle = jobTitle;
	}

	/**
	 * Gets jobTitle
	 * 
	 * @return jobTitle.
	 */
	@GetterMethod(relvarNames = { RELVARNAMES.JOBS }, attributeDefs = @AttributeDef(attributeName = "NM_JOB", requiresEscaping = false, typeName = TYPENAMES.NAME))
	public final String getJobTitle ( ) {
		return jobTitle;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.SIRAPRISE.client.jsba.UpdatableDBObject#getPreUpdateState()
	 */
	@Override
	public final UpdatableDBObject getPreUpdateState ( ) {
		return preUpdateState;
	}

	/**
	 * Sets jobTitle
	 * 
	 * @param jobTitle
	 *            The jobTitle to set.
	 */
	public final void setJobTitle (String jobTitle) {
		this.jobTitle = jobTitle;
	}

	/**
	 * Sets jobTitle
	 * 
	 * @param jobTitle
	 *            The jobTitle to set.
	 */
	@AttributeDef(attributeName = "NM_JOB", requiresEscaping = false, typeName = TYPENAMES.NAME)
	public final void setJobTitle (ValueBuffer jobTitle) {
		this.jobTitle = DbmsNameImplementation.getJavaString(jobTitle);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.SIRAPRISE.client.jsba.UpdatableDBObject#setPreUpdateState()
	 */
	@Override
	public final void setPreUpdateState ( ) {
		this.preUpdateState = new Job(jobTitle);
	}
}
