/*
 * Created on 18-sep-2007
 */
package be.ASPL.presentationlayer;

/**
 * The PresentationFunction valuegetter extracts the Description from the user function.
 * 
 * @author Erwin Smout
 */
class ArchitectureValueGetterForPresentationFunction extends ArchitectureValueGetter {

	/**
	 * The instance
	 */
	private static ArchitectureValueGetter instance = new ArchitectureValueGetterForPresentationFunction();

	/**
	 * Gets The instance
	 * 
	 * @return The instance
	 */
	static ArchitectureValueGetter getInstance ( ) {
		return instance;
	}

	/**
	 * 
	 */
	private ArchitectureValueGetterForPresentationFunction ( ) {

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.erwinsmout.ASPL.presentationlayer.ArchitectureValueGetter#getValue(be.erwinsmout.ASPL.presentationlayer.OnLinePresentationFunction)
	 */
	String getValue (OnLinePresentationFunction userFunction) {
		UserData userData = userFunction.getUserData();
		if (userData != null) {
			return userFunction.getPresentationFunctionDescription();
		} else {
			return userFunction.getPresentationFunctionDescription();
		}
	}
}
