/**
 * 
 */
package be.ASPL.presentationlayer;

/**
 * @author Erwin
 * 
 */
final class IncompletePartException extends ASPLException {

	/**
	 * Creates the IncompletePartException
	 * 
	 * @param bytesRead
	 * @param partSize
	 */
	IncompletePartException (int bytesRead, long partSize) {
		super(I18N.getInstance(), "IncompletePartsException.Text", new String[] { Long.toString(bytesRead), Long.toString(partSize) }); //$NON-NLS-1$
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 2453766757133700522L;

}
