package be.ASPL.presentationlayer;

import be.SIRAPRISE.util.AssertObject;

/**
 * @author Erwin
 */
public final class StringValue implements PresentationValue {

	/**
	 * the String value
	 */
	private String string;

	/**
	 * @param val
	 *            the String value
	 */
	public StringValue (String val) {
		this.string = AssertObject.assertObject(val);
	}

	/**
	 * @return the String value
	 */
	public String getString ( ) {
		return string;
	}

	public String toString ( ) {
		return string;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see be.ASPL.presentationlayer.WaarValue#toWAARString(be.ASPL.presentationlayer.UserData)
	 */
	@Override
	public String toASPLString (UserData userData) {
		return string;
	}
}
