package be.ASPL.webclient;

import be.ASPL.presentationlayer.*;

import java.util.*;

/**
 *
 */
public class ColourOverviewPresentation extends Presentation {
	/**
	 * @return
	 * @throws ASPLException
	 */
	private static final java.util.List<PresentationField> getPresentationFieldDefs ( ) throws ASPLException {
		return Arrays.asList(new PresentationField[] { //
				new PresentationField("CHANNEL", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", true, 10, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("CHANNELVALUE", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, "", true, 20, PresentationFieldIOMode.IN, "", "", "inputtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
						, new PresentationField("COLOURS", ColourGrid.class, Locale.ENGLISH, "", false, -1, PresentationFieldIOMode.OUT, "", "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ 
				});
	}

	/**
	 *
	 */
	private static final java.util.List<String> ACTIONS = Arrays.asList(new String[] {});

	/**
	 * @throws ASPLException
	 *             -
	 */
	public ColourOverviewPresentation ( ) throws ASPLException {
		super(ColourOverviewPresentation.class.getSimpleName(), getPresentationFieldDefs(), ACTIONS);
	}
}
