package be.SIRAPRISE.birdwatcher;

import be.ASPL.presentationlayer.*;

import java.util.*;

/**
 *
 */
public class SpotsCreatePresentation extends Presentation {
	/**
	 * @return
	 * @throws ASPLException
	 */
	private static final java.util.List<PresentationField> getPresentationFieldDefs ( ) throws ASPLException {
		return Arrays.asList(new PresentationField[] { //
				new PresentationField("WALKDATE", be.ASPL.presentationlayer.DateType.class, Locale.ENGLISH, null, true, 10, PresentationFieldIOMode.IN, null, "", "inputshorttext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("FWALKDATE", be.ASPL.presentationlayer.Logical.class, Locale.ENGLISH, null, true, 15, PresentationFieldIOMode.IN, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("SPECIESNAME", be.ASPL.presentationlayer.StringType.class, Locale.ENGLISH, null, true, 20, PresentationFieldIOMode.IN, null, "", "inputlongtext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("FSPECIESNAME", be.ASPL.presentationlayer.Logical.class, Locale.ENGLISH, null, true, 25, PresentationFieldIOMode.IN, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("SPOTCOUNT", be.ASPL.presentationlayer.IntegerType.class, Locale.ENGLISH, null, true, 30, PresentationFieldIOMode.IN, null, "", "inputshorttext", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ 
						, new PresentationField("GENDER", be.SIRAPRISE.birdwatcher.GenderEnum.class, Locale.ENGLISH, " ", true, 40, PresentationFieldIOMode.IN, null, "", "", null) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ 
				});
	}

	/**
	 *
	 */
	private static final java.util.List<String> ACTIONS = Arrays.asList(new String[] {});

	/**
	 * @throws ASPLException
	 *             -
	 */
	public SpotsCreatePresentation ( ) throws ASPLException {
		super("SpotsCreatePresentation", getPresentationFieldDefs(), ACTIONS); //$NON-NLS-1$ 
	}
}
